%define subrel 1

Name: kdelibs4-experimental
Summary: K Desktop Environment - Libraries
Version: 4.3.5
Release: %mkrel 0
Epoch: 2
Group: Graphical desktop/KDE
License: ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0
URL:     http://www.kde.org
Source:  ftp://ftp.kde.org/pub/kde/stable/%version/src/kdelibs-experimental-%version.tar.bz2
BuildRequires: kde4-macros
BuildRequires: qt4-devel >= 4.5.2
BuildRequires: kdelibs4-devel >= 2:4.2.98
BuildRoot: %_tmppath/%name-%version-%release-root

%description 
Experimental libraries for the K Desktop Environment.

#------------------------------------------------

%define libknotificationitem_1_major 1
%define libknotificationitem_1 %mklibname knotificationitem-1 %{nil} %{libknotificationitem_1_major}
%define oldlibname %mklibname knotificationitem-1 1

%package -n %libknotificationitem_1
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdebase46 <= 1:3.80.3
Obsoletes: %{_lib}plasma1 < 1:4.0.80-4
Obsoletes: %oldlibname

%description -n %libknotificationitem_1
KDE 4 core library.

%files -n %libknotificationitem_1
%defattr(-,root,root)
%_kde_libdir/libknotificationitem-1.so.%{libknotificationitem_1_major}*

#------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files to compiling KDE applications
Requires: kde4-macros
Requires: qt4-devel >= 4.4.
Requires: kdelibs4-devel
Requires: automoc4
Requires: %libknotificationitem_1 = %epoch:%version

%description devel
This package includes the header files you will need to compile applications 
for KDE. Also included is the KDE API documentation in HTML format for easy 
browsing.

%files devel
%defattr(-,root,root,-)
%_kde_prefix/include/*
%_kde_libdir/*.so
%_kde_datadir/dbus-1/*/*

#--------------------------------------------------------------

%prep
%setup -q -n kdelibs-experimental-%version

%build
%cmake_kde4
%make

%install
rm -fr %buildroot

%makeinstall_std -C build

%clean
rm -fr %buildroot


%changelog
* Wed Jan 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.5-0.1mdv2010.0
+ Revision: 497098
- Update to kde 4.3.5

* Mon Oct 05 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.2-1mdv2010.0
+ Revision: 454009
- New upstream release 4.3.2.

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-1mdv2010.0
+ Revision: 423122
- New upstream release 4.3.1.

* Mon Aug 03 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.0-1mdv2010.0
+ Revision: 408574
- New upstream release 4.3.0.

* Wed Jul 22 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.98-1mdv2010.0
+ Revision: 398581
- imported package kdelibs4-experimental


